import request from '@/utils/request'

// 查询数据交换站点列表
export function listStation(query) {
  return request({
    url: '/gx/station/list',
    method: 'get',
    params: query
  })
}

// 查询数据交换站点详细
export function getStation(id) {
  return request({
    url: '/gx/station/' + id,
    method: 'get'
  })
}

// 根据业务编码查询站点列表
export function listStationByBizCode(bizCode) {
  return request({
    url: '/gx/station/listByBizCode/' + bizCode,
    method: 'get'
  })
}

// 新增数据交换站点
export function addStation(data) {
  return request({
    url: '/gx/station',
    method: 'post',
    data: data
  })
}

// 修改数据交换站点
export function updateStation(data) {
  return request({
    url: '/gx/station',
    method: 'put',
    data: data
  })
}

// 删除数据交换站点
export function delStation(id) {
  return request({
    url: '/gx/station/' + id,
    method: 'delete'
  })
}
